---
title: "Get document download link"
url: "https://docs.signnow.com/docs/document/operations/get-document-download-link"
type: "endpoint"
section: "document"
slug: "document/operations/get-document-download-link"
method: "POST"
path: "/document/{document_id}/download/link"
operation_id: "get-document-download-link"
authorization: "bearer"
---

# Get document download link

`POST /document/{document_id}/download/link`

Returns a one-time use URL for anyone to download the document as a PDF.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes |  |

## Responses

### 200

**Example** (`application/json`)

```json
{
  "link": "https://example.com/document_download_id=67XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/document/{document_id}/download/link" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/get-document-download-link*
